#version 330

uniform mat4 uni_ModelViewMatrix;
uniform mat4 uni_ProjMatrix;
uniform mat3 uni_NormalMatrix;

in vec3 in_Vertex;
smooth out vec3 vertOutTexCoords;

void main(void)
{
	vertOutTexCoords.xyz = normalize(in_Vertex.xyz);
	
	//final vtx position
	gl_Position =  uni_ProjMatrix * uni_ModelViewMatrix * vec4(in_Vertex,1);
}