#version 330

uniform mat4 uni_ModelViewMatrix;
uniform mat4 uni_ProjMatrix;

in vec3 in_Vertex;
in vec2 in_Tex;

out vec2 var_TexCoord;

void main(void)
{
	// interpolate tex coords
	var_TexCoord = in_Tex;
	//final vtx position
	gl_Position =  uni_ProjMatrix * uni_ModelViewMatrix * vec4(in_Vertex,1);
}