#version 330

uniform mat4 uni_ModelViewMatrix;
uniform mat4 uni_ProjMatrix;

uniform vec3 uni_ParallelLightDirection; //in VIEW coords

in vec3 in_Vertex;

void main(void)
{
	gl_PointSize = 100.0;
	//final vtx position
	//NOTE: even when we know in_Vertex is always (0,0,0), we have to specify it or the shader will be skipped because there are no per-vertex attribs!
	gl_Position =  uni_ProjMatrix * vec4(in_Vertex-normalize(uni_ParallelLightDirection),1);
}